diff --git a/openmotif/clients/mwm/Makefile.am b/openmotif/clients/mwm/Makefile.am
index aa4793d..ccf48ab 100644
--- a/openmotif/clients/mwm/Makefile.am
+++ b/openmotif/clients/mwm/Makefile.am
@@ -9,7 +9,7 @@ rcdir = $(MWMRCDIR)
 rc_DATA = system.mwmrc
 
 bin_PROGRAMS = mwm
-mwm_LDADD = ./WmWsmLib/libWsm.a ../../lib/Xm/libXm.la 
+mwm_LDADD = ./WmWsmLib/libWsm.a ../../lib/Xm/libXm.la -lXt -lXext -lX11
 
 INCLUDES = -DLARGECURSORS -DR2_COMPAT -DUNMAP_ON_RESTART \
            -DCDE_INSTALLATION_TOP=\"@CDE_INSTALLATION_TOP@\" \
diff --git a/openmotif/clients/xmbind/Makefile.am b/openmotif/clients/xmbind/Makefile.am
index 63a254b..9b696b4 100644
--- a/openmotif/clients/xmbind/Makefile.am
+++ b/openmotif/clients/xmbind/Makefile.am
@@ -2,6 +2,6 @@ MAINTAINERCLEANFILES = Makefile.in
 
 bin_PROGRAMS = xmbind
 
-LDADD = ../../lib/Xm/libXm.la
+LDADD = ../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../lib -I$(top_builddir)/lib ${X_CFLAGS}
diff --git a/openmotif/demos/doc/programGuide/ch05/Scale/Makefile.am b/openmotif/demos/doc/programGuide/ch05/Scale/Makefile.am
index c58aa83..e1836f8 100644
--- a/openmotif/demos/doc/programGuide/ch05/Scale/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch05/Scale/Makefile.am
@@ -8,4 +8,4 @@ tic_mark_SOURCES = tic_mark.c interface.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch06/combo_box/Makefile.am b/openmotif/demos/doc/programGuide/ch06/combo_box/Makefile.am
index 14e1bf1..9f12df2 100644
--- a/openmotif/demos/doc/programGuide/ch06/combo_box/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch06/combo_box/Makefile.am
@@ -9,4 +9,4 @@ combo_box_SOURCES = combo_box.c interface.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch06/spin_box/Makefile.am b/openmotif/demos/doc/programGuide/ch06/spin_box/Makefile.am
index ac31594..82fcf06 100644
--- a/openmotif/demos/doc/programGuide/ch06/spin_box/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch06/spin_box/Makefile.am
@@ -9,4 +9,4 @@ spin_box_SOURCES = spin_box.c interface.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch08/Container/Makefile.am b/openmotif/demos/doc/programGuide/ch08/Container/Makefile.am
index 2224746..eae2a6d 100644
--- a/openmotif/demos/doc/programGuide/ch08/Container/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch08/Container/Makefile.am
@@ -8,4 +8,4 @@ container_SOURCES = container.c  interface.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch08/Notebook/Makefile.am b/openmotif/demos/doc/programGuide/ch08/Notebook/Makefile.am
index d1ed10d..9744668 100644
--- a/openmotif/demos/doc/programGuide/ch08/Notebook/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch08/Notebook/Makefile.am
@@ -8,4 +8,4 @@ notebook_SOURCES = interface.c  notebook.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch16/Makefile.am b/openmotif/demos/doc/programGuide/ch16/Makefile.am
index fd64900..817cc00 100644
--- a/openmotif/demos/doc/programGuide/ch16/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch16/Makefile.am
@@ -9,4 +9,4 @@ UTMXmText_SOURCES = UTMXmText.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch17/simple_drag/Makefile.am b/openmotif/demos/doc/programGuide/ch17/simple_drag/Makefile.am
index 0b880b5..514bb45 100644
--- a/openmotif/demos/doc/programGuide/ch17/simple_drag/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch17/simple_drag/Makefile.am
@@ -9,4 +9,4 @@ simple_drag_SOURCES = simple_drag.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/doc/programGuide/ch17/simple_drop/Makefile.am b/openmotif/demos/doc/programGuide/ch17/simple_drop/Makefile.am
index 938eac5..aedd73f 100644
--- a/openmotif/demos/doc/programGuide/ch17/simple_drop/Makefile.am
+++ b/openmotif/demos/doc/programGuide/ch17/simple_drop/Makefile.am
@@ -9,4 +9,4 @@ simple_drop_SOURCES = simple_drop.c
 
 INCLUDES = -I$(top_builddir)/lib -I$(top_srcdir)/lib -I$(top_srcdir)/demos/lib $(X_CFLAGS)
 
-LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la
+LDADD = -L$(top_builddir)/demos/lib/Xmd -lXmd $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
diff --git a/openmotif/demos/lib/Exm/wml/Makefile.am b/openmotif/demos/lib/Exm/wml/Makefile.am
index 980fa25..03c5544 100644
--- a/openmotif/demos/lib/Exm/wml/Makefile.am
+++ b/openmotif/demos/lib/Exm/wml/Makefile.am
@@ -18,7 +18,7 @@ INCLUDES = -I$(top_srcdir)/lib \
 	-I$(top_builddir)/clients/uil \
 	${X_CFLAGS} 
 
-LDADD = $(top_builddir)/lib/Xm/libXm.la
+LDADD = $(top_builddir)/lib/Xm/libXm.la -lXt
 
 DISTCLEANFILES = motif.wmd
 
diff --git a/openmotif/demos/lib/Xmd/Makefile.am b/openmotif/demos/lib/Xmd/Makefile.am
index ef8b0d5..e6091fa 100644
--- a/openmotif/demos/lib/Xmd/Makefile.am
+++ b/openmotif/demos/lib/Xmd/Makefile.am
@@ -12,7 +12,7 @@ Menus.h \
 Print.h PrintP.h \
 RegEdit.h RegEditI.h
 
-LDADD = libXmd.a ../../../lib/Xm/libXm.la
+LDADD = libXmd.a ../../../lib/Xm/libXm.la -lXt
 
 INCLUDES = -I$(top_builddir)/lib -I$(srcdir)/../../../lib ${X_CFLAGS} 
 
diff --git a/openmotif/demos/programs/ButtonBox/Makefile.am b/openmotif/demos/programs/ButtonBox/Makefile.am
index de42ab9..f80cb45 100644
--- a/openmotif/demos/programs/ButtonBox/Makefile.am
+++ b/openmotif/demos/programs/ButtonBox/Makefile.am
@@ -8,6 +8,6 @@ EXTRA_DIST = Imakefile
 bboxdemo_SOURCES = bboxdemo.c
 data_DATA = $(EXTRA_DIST) $(bboxdemo_SOURCES)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/ColorSel/Makefile.am b/openmotif/demos/programs/ColorSel/Makefile.am
index 0a77876..0a10298 100644
--- a/openmotif/demos/programs/ColorSel/Makefile.am
+++ b/openmotif/demos/programs/ColorSel/Makefile.am
@@ -7,6 +7,6 @@ bin_PROGRAMS = colordemo
 colordemo_SOURCES = util-c.c colordemo.c
 EXTRA_DIST = Imakefile
 data_DATA = $(colordemo_SOURCES) $(EXTRA_DIST)
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 TOPDIR = ../../..
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/Column/Makefile.am b/openmotif/demos/programs/Column/Makefile.am
index 177a67c..e54fe04 100644
--- a/openmotif/demos/programs/Column/Makefile.am
+++ b/openmotif/demos/programs/Column/Makefile.am
@@ -8,5 +8,5 @@ column_SOURCES = column.c
 EXTRA_DIST = Imakefile Column.ad
 data_DATA = $(EXTRA_DIST) $(column_SOURCES)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/Combo2/Makefile.am b/openmotif/demos/programs/Combo2/Makefile.am
index 46136c7..80fd0ab 100644
--- a/openmotif/demos/programs/Combo2/Makefile.am
+++ b/openmotif/demos/programs/Combo2/Makefile.am
@@ -8,5 +8,5 @@ EXTRA_DIST = Combo.ad Imakefile
 combo_SOURCES = combo.c
 data_DATA = $(EXTRA_DIST) $(combo_SOURCES)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/Exm/app_in_c/Makefile.am b/openmotif/demos/programs/Exm/app_in_c/Makefile.am
index 5620ce0..66365c4 100644
--- a/openmotif/demos/programs/Exm/app_in_c/Makefile.am
+++ b/openmotif/demos/programs/Exm/app_in_c/Makefile.am
@@ -14,4 +14,4 @@ INCLUDES = -I$(srcdir)/../../../../lib \
            -I$(top_builddir)/lib \
             ${X_CFLAGS} 
 LDADD = ../../../lib/Exm/libExm.a \
-	../../../../lib/Xm/libXm.la
+	../../../../lib/Xm/libXm.la -lXt -lX11 -lXext
diff --git a/openmotif/demos/programs/Exm/simple_app/Makefile.am b/openmotif/demos/programs/Exm/simple_app/Makefile.am
index fa8672a..03f4b66 100644
--- a/openmotif/demos/programs/Exm/simple_app/Makefile.am
+++ b/openmotif/demos/programs/Exm/simple_app/Makefile.am
@@ -15,4 +15,4 @@ INCLUDES = -I$(srcdir)/../../../../lib \
            -I$(top_builddir)/lib \
            ${X_CFLAGS} 
 LDADD = ../../../../lib/Xm/libXm.la \
-        ../../../lib/Exm/libExm.a
+        ../../../lib/Exm/libExm.a -lXt -lX11
diff --git a/openmotif/demos/programs/Ext18List/Makefile.am b/openmotif/demos/programs/Ext18List/Makefile.am
index 761501d..9e543ec 100644
--- a/openmotif/demos/programs/Ext18List/Makefile.am
+++ b/openmotif/demos/programs/Ext18List/Makefile.am
@@ -10,6 +10,6 @@ ext18list_SOURCES = util-c.c callbacks-c.c creation.c ext18list.c \
 EXTRA_DIST = Imakefile
 data_DATA = $(EXTRA_DIST) $(ext18list_SOURCES)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(TOPDIR)/lib -I.. -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/FontSel/Makefile.am b/openmotif/demos/programs/FontSel/Makefile.am
index 0d6c5fa..92c6f12 100644
--- a/openmotif/demos/programs/FontSel/Makefile.am
+++ b/openmotif/demos/programs/FontSel/Makefile.am
@@ -7,6 +7,6 @@ bin_PROGRAMS = fontsel
 fontsel_SOURCES = callbacks-c.c creation-c.c fontsel.c fontsel.h
 EXTRA_DIST = Imakefile
 data_DATA = $(EXTRA_DIST) $(fontsel_SOURCES)
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 TOPDIR = ../../..
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/IconB/Makefile.am b/openmotif/demos/programs/IconB/Makefile.am
index 0ce8c14..42a9313 100644
--- a/openmotif/demos/programs/IconB/Makefile.am
+++ b/openmotif/demos/programs/IconB/Makefile.am
@@ -8,7 +8,7 @@ bin_PROGRAMS = iconbuttondemo
 iconbuttondemo_SOURCES = misc.c  iconbuttondemo.c
 data_DATA = $(iconbuttondemo_SOURCES) $(EXTRA_DIST)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/.. \
            -I$(srcdir)/$(TOPDIR)/lib \
diff --git a/openmotif/demos/programs/Outline/Makefile.am b/openmotif/demos/programs/Outline/Makefile.am
index e5b1616..290bbc8 100644
--- a/openmotif/demos/programs/Outline/Makefile.am
+++ b/openmotif/demos/programs/Outline/Makefile.am
@@ -7,6 +7,6 @@ EXTRA_DIST = Imakefile
 bin_PROGRAMS = outline
 outline_SOURCES = outline.c
 data_DATA = $(outline_SOURCES) $(EXTRA_DIST)
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 TOPDIR = ../../..
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/Paned/Makefile.am b/openmotif/demos/programs/Paned/Makefile.am
index 810fff6..b86a80e 100644
--- a/openmotif/demos/programs/Paned/Makefile.am
+++ b/openmotif/demos/programs/Paned/Makefile.am
@@ -8,6 +8,6 @@ bin_PROGRAMS = paned
 paned_SOURCES = creation-c.c paned.c
 data_DATA = $(EXTRA_DIST) $(paned_SOURCES)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/TabStack/Makefile.am b/openmotif/demos/programs/TabStack/Makefile.am
index a041a74..4118434 100644
--- a/openmotif/demos/programs/TabStack/Makefile.am
+++ b/openmotif/demos/programs/TabStack/Makefile.am
@@ -8,6 +8,6 @@ tabstack_SOURCES = bxutils.c callbacks.c creation.c main.c creation.h
 EXTRA_DIST = Imakefile
 data_DATA = $(tabstack_SOURCES) $(EXTRA_DIST)            
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/Tree/Makefile.am b/openmotif/demos/programs/Tree/Makefile.am
index 3878f10..20eb783 100644
--- a/openmotif/demos/programs/Tree/Makefile.am
+++ b/openmotif/demos/programs/Tree/Makefile.am
@@ -8,6 +8,6 @@ bin_PROGRAMS = tree
 tree_SOURCES = bxutil-c.c  tree.c
 data_DATA = $(EXTRA_DIST) $(tree_SOURCES)
 TOPDIR = ../../..
-LDADD = $(TOPDIR)/lib/Xm/libXm.la
+LDADD = $(TOPDIR)/lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(TOPDIR)/lib -I$(srcdir)/.. -I$(srcdir)/$(TOPDIR)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/airport/Makefile.am b/openmotif/demos/programs/airport/Makefile.am
index bcf94a2..5994024 100644
--- a/openmotif/demos/programs/airport/Makefile.am
+++ b/openmotif/demos/programs/airport/Makefile.am
@@ -8,5 +8,5 @@ airport_SOURCES = main.c dragsource.c dropsite.c airport.h \
                   dragsource.h dropsite.h main.h
 EXTRA_DIST = Imakefile XmdAirport.ad README
 data_DATA = $(airport_SOURCES) $(EXTRA_DIST)
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/animate/Makefile.am b/openmotif/demos/programs/animate/Makefile.am
index c616286..ffba972 100644
--- a/openmotif/demos/programs/animate/Makefile.am
+++ b/openmotif/demos/programs/animate/Makefile.am
@@ -17,7 +17,7 @@ data_DATA = dog.uid plane.uid superman.uid xmanimate.uid $(xmanimate_SOURCES) \
 
 bin_PROGRAMS = xmanimate
 
-LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Mrm/libMrm.la ../../../lib/Xm/libXm.la
+LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Mrm/libMrm.la ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib \
            -I$(srcdir)/../../lib \
diff --git a/openmotif/demos/programs/drag_and_drop/Makefile.am b/openmotif/demos/programs/drag_and_drop/Makefile.am
index 7b785cd..5c896ed 100644
--- a/openmotif/demos/programs/drag_and_drop/Makefile.am
+++ b/openmotif/demos/programs/drag_and_drop/Makefile.am
@@ -10,6 +10,6 @@ DNDDemo_SOURCES = DNDDemo.c DNDDraw.c
 simpledrop_SOURCES = simpledrop.c
 data_DATA = $(EXTRA_DIST) $(DNDDemo_SOURCES) $(simpledrop_SOURCES)
 noinst_HEADERS = DNDDemo.h
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/draw/Makefile.am b/openmotif/demos/programs/draw/Makefile.am
index 893b977..361fd86 100644
--- a/openmotif/demos/programs/draw/Makefile.am
+++ b/openmotif/demos/programs/draw/Makefile.am
@@ -7,5 +7,5 @@ bin_PROGRAMS = draw
 draw_SOURCES = draw.c
 EXTRA_DIST = Imakefile XmdDraw.ad README draw.help draw.man
 data_DATA = $(EXTRA_DIST) $(draw_SOURCES)
-LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la
+LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(srcdir)/../../lib -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/earth/Makefile.am b/openmotif/demos/programs/earth/Makefile.am
index ada6a77..e98b54a 100644
--- a/openmotif/demos/programs/earth/Makefile.am
+++ b/openmotif/demos/programs/earth/Makefile.am
@@ -7,5 +7,5 @@ bin_PROGRAMS = earth
 earth_SOURCES = earth.c
 EXTRA_DIST = terre.xbm earth.man Imakefile README
 data_DATA = $(EXTRA_DIST) $(earth_SOURCES)
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lXext -lX11
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/filemanager/Makefile.am b/openmotif/demos/programs/filemanager/Makefile.am
index bb6df39..4674131 100644
--- a/openmotif/demos/programs/filemanager/Makefile.am
+++ b/openmotif/demos/programs/filemanager/Makefile.am
@@ -11,7 +11,7 @@ EXTRA_DIST = filemanager.man filemanager.help XmdFilemanager.ad \
            obj.xpm pix.xpm s_dir.xpm s_exec.xpm s_file.xpm \
            s_none.xpm s_pix.xpm
 data_DATA = $(EXTRA_DIST) $(filemanager_SOURCES)
-LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la
+LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(srcdir)/../../lib -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
 
 
diff --git a/openmotif/demos/programs/fileview/Makefile.am b/openmotif/demos/programs/fileview/Makefile.am
index 2d39ece..94828f3 100644
--- a/openmotif/demos/programs/fileview/Makefile.am
+++ b/openmotif/demos/programs/fileview/Makefile.am
@@ -11,7 +11,7 @@ data_DATA = French.uid German.uid English.uid $(fileview_SOURCES) $(EXTRA_DIST)
 
 UILS= French.uil German.uil English.uil
 
-LDADD = ../../../lib/Xm/libXm.la ../../../lib/Mrm/libMrm.la
+LDADD = ../../../lib/Xm/libXm.la ../../../lib/Mrm/libMrm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
 
diff --git a/openmotif/demos/programs/getsubres/Makefile.am b/openmotif/demos/programs/getsubres/Makefile.am
index 65eec6f..59c4ae2 100644
--- a/openmotif/demos/programs/getsubres/Makefile.am
+++ b/openmotif/demos/programs/getsubres/Makefile.am
@@ -7,5 +7,5 @@ bin_PROGRAMS = getsubres
 EXTRA_DIST = getsubres.help getsubres.man README Imakefile
 getsubres_SOURCES = getsubres.c
 data_DATA = $(EXTRA_DIST) $(getsubres_SOURCES)
-LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la
+LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(srcdir)/../../lib -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/hellomotif/Makefile.am b/openmotif/demos/programs/hellomotif/Makefile.am
index a21b8ba..15ca196 100644
--- a/openmotif/demos/programs/hellomotif/Makefile.am
+++ b/openmotif/demos/programs/hellomotif/Makefile.am
@@ -7,7 +7,7 @@ bin_PROGRAMS = hellomotif
 EXTRA_DIST = hellomotif.uil Imakefile README
 hellomotif_SOURCES = hellomotif.c
 data_DATA = $(EXTRA_DIST) $(hellomotif_SOURCES) hellomotif.uid
-LDADD = ../../../lib/Xm/libXm.la ../../../lib/Mrm/libMrm.la
+LDADD = ../../../lib/Xm/libXm.la ../../../lib/Mrm/libMrm.la -lXt -lX11
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
 
 all: hellomotif.uid
diff --git a/openmotif/demos/programs/hellomotifi18n/Makefile.am b/openmotif/demos/programs/hellomotifi18n/Makefile.am
index 3bb3707..64c5ac8 100644
--- a/openmotif/demos/programs/hellomotifi18n/Makefile.am
+++ b/openmotif/demos/programs/hellomotifi18n/Makefile.am
@@ -12,7 +12,7 @@ data_DATA = $(EXTRA_DIST) $(helloint_SOURCES) helloint.uid
 helloint_DEPENDENCIES = helloint.uid C/uid/l_strings.uid english/uid/l_strings.uid french/uid/l_strings.uid hebrew/uid/l_strings.uid japan/uid/l_strings.uid japanese/uid/l_strings.uid swedish/uid/l_strings.uid
 
 INCLUDES = -I$(top_srcdir)/lib -I$(top_builddir)/lib ${X_CFLAGS} 
-LDADD = $(top_builddir)/lib/Mrm/libMrm.la $(top_builddir)/lib/Xm/libXm.la
+LDADD = $(top_builddir)/lib/Mrm/libMrm.la $(top_builddir)/lib/Xm/libXm.la -lXt -lX11
 
 SUFFIXES = .uil .uid
 
diff --git a/openmotif/demos/programs/i18ninput/Makefile.am b/openmotif/demos/programs/i18ninput/Makefile.am
index 7a3adea..b3956e8 100644
--- a/openmotif/demos/programs/i18ninput/Makefile.am
+++ b/openmotif/demos/programs/i18ninput/Makefile.am
@@ -8,6 +8,6 @@ i18ninput_SOURCES = i18ninput.c input.c
 EXTRA_DIST = XmdI18nInput.ad README i18ninput.man i18ninput.help \
              Imakefile
 data_DATA = $(EXTRA_DIST) $(i18ninput_SOURCES)
-LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la
+LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../lib -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/panner/Makefile.am b/openmotif/demos/programs/panner/Makefile.am
index 828967f..1e622fe 100644
--- a/openmotif/demos/programs/panner/Makefile.am
+++ b/openmotif/demos/programs/panner/Makefile.am
@@ -7,5 +7,5 @@ bin_PROGRAMS = panner
 panner_SOURCES = panner.c
 EXTRA_DIST = README panner.man Imakefile
 data_DATA = $(EXTRA_DIST) $(panner_SOURCES)
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/periodic/Makefile.am b/openmotif/demos/programs/periodic/Makefile.am
index b60e6f2..d275fdd 100644
--- a/openmotif/demos/programs/periodic/Makefile.am
+++ b/openmotif/demos/programs/periodic/Makefile.am
@@ -7,7 +7,7 @@ bin_PROGRAMS = periodic
 EXTRA_DIST = periodic.uil periodic_l.uil XmdPeriodic.ad Imakefile README
 periodic_SOURCES = periodic.c
 data_DATA = $(EXTRA_DIST) $(periodic_SOURCES) periodic.uid
-LDADD = ../../../lib/Xm/libXm.la ../../../lib/Mrm/libMrm.la
+LDADD = ../../../lib/Xm/libXm.la ../../../lib/Mrm/libMrm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
 
diff --git a/openmotif/demos/programs/piano/Makefile.am b/openmotif/demos/programs/piano/Makefile.am
index 98868cb..c05ab3e 100644
--- a/openmotif/demos/programs/piano/Makefile.am
+++ b/openmotif/demos/programs/piano/Makefile.am
@@ -8,6 +8,6 @@ piano_SOURCES = piano.c
 EXTRA_DIST = piano.images README Inv8_part1.piano Inv8_part2.piano \
              piano.man Imakefile
 data_DATA  = $(EXTRA_DIST) $(piano_SOURCES) 
-LDADD = ../../../lib/Xm/libXm.la -lm
+LDADD = ../../../lib/Xm/libXm.la -lm -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/popups/Makefile.am b/openmotif/demos/programs/popups/Makefile.am
index b04d7fc..64c9711 100644
--- a/openmotif/demos/programs/popups/Makefile.am
+++ b/openmotif/demos/programs/popups/Makefile.am
@@ -7,6 +7,6 @@ bin_PROGRAMS = autopopups
 autopopups_SOURCES = autopopups.c
 EXTRA_DIST = README autopopups.man Imakefile
 data_DATA = $(EXTRA_DIST) $(autopopups_SOURCES)
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/sampler2_0/Makefile.am b/openmotif/demos/programs/sampler2_0/Makefile.am
index 0433d15..ebac280 100644
--- a/openmotif/demos/programs/sampler2_0/Makefile.am
+++ b/openmotif/demos/programs/sampler2_0/Makefile.am
@@ -10,6 +10,6 @@ EXTRA_DIST = bee.xpm bomb.xpm cherry.xpm da.xpm girlface.xpm k7.xpm \
 bin_PROGRAMS = sampler2_0
 sampler2_0_SOURCES = sampler2_0.c
 data_DATA = $(sampler2_0_SOURCES) $(EXTRA_DIST)
-LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la
+LDADD = ../../lib/Xmd/libXmd.a ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../lib -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/setdate/Makefile.am b/openmotif/demos/programs/setdate/Makefile.am
index 87b9674..3bd1370 100644
--- a/openmotif/demos/programs/setdate/Makefile.am
+++ b/openmotif/demos/programs/setdate/Makefile.am
@@ -7,6 +7,6 @@ bin_PROGRAMS = setDate
 EXTRA_DIST = XmdSetDate.ad README setDate.man Imakefile
 setDate_SOURCES = setDate.c
 data_DATA = $(EXTRA_DIST) $(setDate_SOURCES)
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/todo/Makefile.am b/openmotif/demos/programs/todo/Makefile.am
index 68ea95f..3638bac 100644
--- a/openmotif/demos/programs/todo/Makefile.am
+++ b/openmotif/demos/programs/todo/Makefile.am
@@ -9,4 +9,4 @@ todo_SOURCES = todo.c io.c actions.c page.h
 data_DATA = $(EXTRA_DIST) $(todo_SOURCES)
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(srcdir)/../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
-LDADD = -L../../lib/Xmd -lXmd -L../../lib/Exm -lExm ../../../lib/Xm/libXm.la 
+LDADD = -L../../lib/Xmd -lXmd -L../../lib/Exm -lExm ../../../lib/Xm/libXm.la  -lXt -lX11 -lXext
diff --git a/openmotif/demos/programs/tooltips/Makefile.am b/openmotif/demos/programs/tooltips/Makefile.am
index 60a738f..b4d639d 100644
--- a/openmotif/demos/programs/tooltips/Makefile.am
+++ b/openmotif/demos/programs/tooltips/Makefile.am
@@ -7,6 +7,6 @@ EXTRA_DIST = Imakefile
 bin_PROGRAMS = tooltips
 tooltips_SOURCES = tooltips.c
 data_DATA = $(tooltips_SOURCES) $(EXTRA_DIST)
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
diff --git a/openmotif/demos/programs/workspace/Makefile.am b/openmotif/demos/programs/workspace/Makefile.am
index aa0c080..d933d59 100644
--- a/openmotif/demos/programs/workspace/Makefile.am
+++ b/openmotif/demos/programs/workspace/Makefile.am
@@ -11,4 +11,4 @@ wsm_SOURCES = client_win.c command_ui.c wsm.c wsmData.c wsmDebug.c \
               wsm.h wsmSend.h wsmStruct.h wsm_ui.h xrmLib.h
 data_DATA = $(wsm_SOURCES) $(EXTRA_DIST)
 INCLUDES = -I$(srcdir)/../../../lib -I$(srcdir)/../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
-LDADD = ../../../lib/Xm/libXm.la -L../../lib/Wsm -lWsm
+LDADD = ../../../lib/Xm/libXm.la -L../../lib/Wsm -lWsm -lXt -lX11
diff --git a/openmotif/demos/unsupported/aicon/Makefile.am b/openmotif/demos/unsupported/aicon/Makefile.am
index 207c279..4373e1e 100644
--- a/openmotif/demos/unsupported/aicon/Makefile.am
+++ b/openmotif/demos/unsupported/aicon/Makefile.am
@@ -2,7 +2,7 @@ MAINTAINERCLEANFILES = Makefile.in
 
 noinst_PROGRAMS = aicon
  
-LDADD = -L../../lib/Xmd -lXmd ../../../lib/Xm/libXm.la 
+LDADD = -L../../lib/Xmd -lXmd ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(srcdir)/../../lib -I$(top_builddir)/lib ${X_CFLAGS} 
 
diff --git a/openmotif/demos/unsupported/dainput/Makefile.am b/openmotif/demos/unsupported/dainput/Makefile.am
index 245e9ec..251cbbb 100644
--- a/openmotif/demos/unsupported/dainput/Makefile.am
+++ b/openmotif/demos/unsupported/dainput/Makefile.am
@@ -4,7 +4,7 @@ noinst_PROGRAMS = dainput
 
 dainput_SOURCES = dainput.c dainput_dlg.c dainput_ui.c
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 EXTRA_DIST = Imakefile
 
diff --git a/openmotif/demos/unsupported/dogs/Makefile.am b/openmotif/demos/unsupported/dogs/Makefile.am
index 8b957aa..3bcc79f 100644
--- a/openmotif/demos/unsupported/dogs/Makefile.am
+++ b/openmotif/demos/unsupported/dogs/Makefile.am
@@ -15,7 +15,7 @@ dogs_SOURCES = dogs.c Dog.c Square.c

 dogs_DEPENDENCIES = dogs.uid

-LDADD = $(top_builddir)/lib/Mrm/libMrm.la $(top_builddir)/lib/Xm/libXm.la
+LDADD = $(top_builddir)/lib/Mrm/libMrm.la $(top_builddir)/lib/Xm/libXm.la -lXt -lX11

 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS}

diff --git a/openmotif/demos/unsupported/hellomotif/Makefile.am b/openmotif/demos/unsupported/hellomotif/Makefile.am
index 4ce1280..e3e9cdc 100644
--- a/openmotif/demos/unsupported/hellomotif/Makefile.am
+++ b/openmotif/demos/unsupported/hellomotif/Makefile.am
@@ -4,7 +4,7 @@ noinst_PROGRAMS = hellomotif
 
 SOURCES = hellomotif.c
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 EXTRA_DIST = Imakefile
 
diff --git a/openmotif/demos/unsupported/motifshell/Makefile.am b/openmotif/demos/unsupported/motifshell/Makefile.am
index dd41125..23a052e 100644
--- a/openmotif/demos/unsupported/motifshell/Makefile.am
+++ b/openmotif/demos/unsupported/motifshell/Makefile.am
@@ -4,7 +4,7 @@ noinst_PROGRAMS = motifshell
 
 SOURCES = motifshell.c
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 EXTRA_DIST = Imakefile
 
diff --git a/openmotif/demos/unsupported/xmapdef/Makefile.am b/openmotif/demos/unsupported/xmapdef/Makefile.am
index b2b621c..7168a45 100644
--- a/openmotif/demos/unsupported/xmapdef/Makefile.am
+++ b/openmotif/demos/unsupported/xmapdef/Makefile.am
@@ -4,7 +4,7 @@ noinst_PROGRAMS = xmapdef
 
 SOURCES = xmapdef.c
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 EXTRA_DIST = Imakefile
 
diff --git a/openmotif/demos/unsupported/xmfonts/Makefile.am b/openmotif/demos/unsupported/xmfonts/Makefile.am
index 57be132..6b342e5 100644
--- a/openmotif/demos/unsupported/xmfonts/Makefile.am
+++ b/openmotif/demos/unsupported/xmfonts/Makefile.am
@@ -4,7 +4,7 @@ noinst_PROGRAMS = xmfonts
 
 SOURCES = xmfonts.c
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 EXTRA_DIST = Imakefile
 
diff --git a/openmotif/demos/unsupported/xmforc/Makefile.am b/openmotif/demos/unsupported/xmforc/Makefile.am
index 691a0ea..190067a 100644
--- a/openmotif/demos/unsupported/xmforc/Makefile.am
+++ b/openmotif/demos/unsupported/xmforc/Makefile.am
@@ -4,7 +4,7 @@ noinst_PROGRAMS = xmforc
 
 SOURCES = xmforc.c
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 EXTRA_DIST = Imakefile
 
diff --git a/openmotif/demos/unsupported/xmform/Makefile.am b/openmotif/demos/unsupported/xmform/Makefile.am
index 285b6d0..d1afb09 100644
--- a/openmotif/demos/unsupported/xmform/Makefile.am
+++ b/openmotif/demos/unsupported/xmform/Makefile.am
@@ -6,6 +6,6 @@ SOURCES = xmform.c
 
 EXTRA_DIST = Imakefile
 
-LDADD = ../../../lib/Xm/libXm.la
+LDADD = ../../../lib/Xm/libXm.la -lXt -lX11
 
 INCLUDES = -I$(srcdir)/../../../lib -I$(top_builddir)/lib ${X_CFLAGS}
diff --git a/openmotif/tools/wml/Makefile.am b/openmotif/tools/wml/Makefile.am
index 8b8020b..255a412 100644
--- a/openmotif/tools/wml/Makefile.am
+++ b/openmotif/tools/wml/Makefile.am
@@ -30,7 +30,7 @@ wml_SOURCES = wml.c
 wml_LDADD = -L. -lwml
 wml_DEPENDENCIES = libwml.a
 
-wmldbcreate_LDADD = ../../lib/Xm/libXm.la
+wmldbcreate_LDADD = ../../lib/Xm/libXm.la -lXt
 
 INCLUDES = -I../../lib -I$(srcdir)/../../lib -I$(srcdir)/../../include ${X_CFLAGS} 
 
